#    This file is part of cfelpyutils.
#
#    cfelpyutils is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    cfelpyutils is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with cfelpyutils.  If not, see <http://www.gnu.org/licenses/>.
"""
Utility functions and classes for CFEL software projects.

This package contains the implementation of several utility functions
and classes used by many software projects developed at the Center For
Free Electron Laser Science (CFEL) in Hamburg.
(`Link CFEL: https://www.cfel.de`)

The 'crystfel_utils' submodule contains the python implementation of
some functions from the CrystFEL software package.
(`Link CrystFEL http://www.desy.de/~twhite/crystfel/`)

The 'geometry_utils' submodule contains the implementation of functions
used to manipulate detector geometry information.

The 'parameter_utils' module contains the implementation of functions
that are used to parse and manipulate options and parameters.
"""
__version__ = "0.91"
